include:
  remote: 'https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v1.1.2/security-no-container.yml'


default:
    image: bitnami/git:2.48.1

variables:
  CI_DEBUG_TRACE: "true"
  BOT_NAME: "Per Weijnitz"                      # Bot's name that appears in the commit log
  BOT_EMAIL: "per.weijnitz@gmail.com"           # Bot's email, not important
  COMMIT_MESSAGE: "Commit from automerger"      # Part of the commit message



job:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
  script:
    - git config user.name "$BOT_NAME"
    - git config user.email "$BOT_EMAIL"
    - git remote set-url origin $(echo "$CI_PROJECT_URL".git | sed "s|https://|https://$CI_REGISTRY_USER:$ACCESS_TOKEN@|")
    - bash bin/update-dynamic-branch.sh
